Documentation Index

Fetch the complete documentation index at: https://developers.torq.io/llms.txt

Use this file to discover all available pages before exploring further.

List guidance

Prev Next
Get
/v1/triage/guidance

Returns a list of all guidance entries for the workspace.

Security
HTTP
Type bearer
Query parameters
filter.enabled
boolean

When true, returns only enabled guidance entries; when false, only disabled. Unset returns all guidance entries.

page_size
integer (int32)

The maximum number of guidance entries to retrieve per page. Default is 50. Maximum is 100. If the number of results exceeds the defined page size, use pagination to retrieve the next page by making an identical List guidance request and providing the page token from the previous response.

page_token
string

Token received from a previous List guidance response. Provide this to retrieve the next page of results.

Responses
200

A successful response.

Expand All
object
guidance
Array of object (torq.public.triage.v1.Guidance)

The guidance entries returned.

object

Guidance provides business context that informs Auto Triage reasoning during alert triage. Each entry defines instructions or policies scoped to specific alerts, helping Auto Triage produce more accurate triage verdicts.

id
string

The unique identifier of the guidance entry.

name
string

The guidance name. Maximum 200 characters.

description
string

An optional description of the guidance.

guidance
string

The instruction text provided to Auto Triage during alert triage.

enabled
boolean

Whether the guidance is currently active.

apply
object (torq.public.triage.v1.Apply)

Defines which alerts this applies to.

type
string

The scope of alerts this applies to. Accepted values: "always", "by_source", "by_categories".

Valid values[ "always", "by_source", "by_categories" ]
categories
Array of string

The security categories to match. Required when type is "by_categories".

string
integration_type_ids
Array of string

The alert source type IDs to match. Required when type is "by_source".

string
created_at
string (date-time)

The timestamp when the guidance was created.

updated_at
string (date-time)

The timestamp when the guidance was last updated.

next_page_token
string

When a token is returned, it indicates there is another page of results to retrieve. Pass this token as the page_token parameter in a subsequent List guidance request. If this field is empty, there are no additional pages to retrieve.

401

Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token.

object
403

You don't have permission to access this resource.

object